Get alert rule
Get a single alert rule with its recent alert history.
GET
/alert-rules/{id}
Get a single alert rule with its recent alert history.
Authentication
API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Resource ID (32-char hex)
Example:
"a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6"Responses
200
Alert rule with history
application/jsonalert_rule
object | null
REQUIRED
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
name
string
REQUIRED
description
string | null
REQUIRED
enabled
integer
REQUIRED
rule_type
string
REQUIRED
rule_config
string
REQUIRED
source_id
string | null
REQUIRED
destination_id
string | null
REQUIRED
channel_ids
string
REQUIRED
cooldown_minutes
integer
REQUIRED
last_triggered_at
string | null
REQUIRED
trigger_count
integer
REQUIRED
created_at
string
REQUIRED
updated_at
string
REQUIRED
history
object[]
REQUIRED
Array of:
id
string
REQUIRED
org_id
string
REQUIRED
env_id
string
REQUIRED
alert_rule_id
string
REQUIRED
trigger_reason
string
REQUIRED
trigger_data
string
REQUIRED
channels_notified
string
REQUIRED
created_at
string
REQUIRED
401
Unauthorized
404
Not found
curl -X GET 'https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
-H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', {
method: 'GET',
headers: {
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
import requests
headers = {
'Authorization': 'Bearer YOUR_API_TOKEN'
}
response = requests.get('https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6', headers=headers)
print(response.json())
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://hookstream.io/v1/alert-rules/a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6", nil)
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
result, _ := io.ReadAll(resp.Body)
fmt.Println(string(result))
}
200
Response
{
"alert_rule": {
"id": "<string>",
"org_id": "<string>",
"env_id": "<string>",
"name": "<string>",
"description": "<string>",
"enabled": 123,
"rule_type": "<string>",
"rule_config": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"channel_ids": "<string>",
"cooldown_minutes": 123,
"last_triggered_at": "<string>",
"trigger_count": 123,
"created_at": "<string>",
"updated_at": "<string>"
},
"history": [
{
"id": "<string>",
"org_id": "<string>",
"env_id": "<string>",
"alert_rule_id": "<string>",
"trigger_reason": "<string>",
"trigger_data": "<string>",
"channels_notified": "<string>",
"created_at": "<string>"
}
]
}
GET
/alert-rules/{id}